#!/bin/bash

__satcmd() {
    local cur opts sopts
    COMPREPLY=()
    cur="${COMP_WORDS[COMP_CWORD]}"
    sopts="-d -h -v"
    opts="--help --verbose --debug --version --version-semver"

    case "$cur" in
        -*)
            COMPREPLY=(
                $(compgen -W "$sopts $opts" -- "${cur}")
            )
            ;;
        --*)
            COMPREPLY=(
                $(compgen -W "$opts" -- "${cur}")
            )
            ;;
        *)
            COMPREPLY=(
                $(compgen -W "$(satcmd _ls_sc)" "${cur}")
            )
    esac
}

complete -F __satcmd satcmd
